felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mark Derricutt" <m...@talios.com>
Subject Re: [ANN] Felix maven-bundle-plugin version 2.5.0 released
Date Fri, 27 Jun 2014 02:01:30 GMT
On 27 Jun 2014, at 10:31, Stuart McCulloch wrote:

> The Apache Felix team is pleased to announce the release of 
> maven-bundle-plugin 2.5.0 which uses the latest release of bnd that 
> supports Java 8 bytecode.

Interesting - I just tried this on one of our other bundles and get the 
following:

[ERROR] Bundle smx3:smx3.partyresource:bundle:10.2.6-SNAPSHOT : The 
default package '.' is not permitted by the Import-Package syntax.
  This can be caused by compile errors in Eclipse because Eclipse 
creates
valid class files regardless of compile errors.
The following package(s) import from the default package null

which works fine under 2.4.0, running with -X I see the manifest as not 
including any . packages anywhere.

The last line in that output is interesting as well:

   The following package(s) import from the default package null

null?

It looks like some of our other packages however DO have a "*" import, 
which I suspect might be triggering this - time to try an epic rebuild 
under 2.5.0 :)

Mark

Mime
View raw message